The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Доступны Red Hat Developer Toolset 6 и Red Hat Software Collections 2.3

15.11.2016 21:39

Компания Red Hat объявила о выпуске продукта Red Hat Software Collections 2.3, позволяющего использовать в Red Hat Enterprise Linux новые технологии разработки и компоненты web-стека, не ожидая появления следующей ветки RHEL и не устанавливая сторонние пакеты из неофициальных внешних источников. Время поддержки Red Hat Software Collections составляет три года, в течение которых пользователи будут снабжаться всеми необходимыми обновлениями с устранением проблем безопасности и критических ошибок.

Red Hat Software Collections 2.3 включает в себя пакеты с более свежими версиями программ, чем входящие в состав штатного RHEL. Например, для установки предлагаются свежие выпуски Python, PHP, Perl, Ruby, MySQL, MariaDB , PostgreSQL, MongoDB, Maven, Passenger, Apache httpd, nginx, Node.js, Git, Common Java Packages. Из наиболее заметных обновлений отмечается включение пакетов с MySQL 5.7, Redis 3.2, Perl 5.24, PHP 7.0, Git 2.9, Thermostat 1.6, Eclipse Neon 4.6.1, Python 3.5, Ruby 2.3 и MongoDB 3.2. Для популярных коллекций программ, востребованных разработчиками, подготовлены шаблоны для создания контейнеров Docker и окружений для Linux Atomic Host и PaaS-платформы OpenShift.

Одновременно вышел похожий по своей сути набор Red Hat Developer Toolset 6, включающий пакеты с более новыми выпусками средств для разработчиков приложений на языках C и C++. В комплект входят: GCC 6.2.1, GDB 7.12, binutils 2.27, elfutils 0.167, Valgrind 3.12, Dyninst 9.2.0, strace 4.12, SystemTap 3.0.

  1. Главная ссылка к новости (https://www.redhat.com/en/abou...)
  2. OpenNews: Релиз Red Hat Enterprise Linux 7.3
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/45499-redhat
Ключевые слова: redhat
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (5) RSS
  • 1, Аноним (-), 22:06, 15/11/2016 [ответить]  
  • +/
    Наконец-то. А то достало что для CentOS 5 максимальная версия GCC - 4.8, а для CentOS 6 - 4.9
     
     
  • 2, Аноним (-), 23:06, 15/11/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Ну с использованием devtools 4 максимальная версия gcc и там и там - 5.2.
     

  • 3, Аноним (-), 23:07, 15/11/2016 [ответить]  
  • +/
    А как на CentOS его подключить?
     
     
  • 4, Аноним (-), 23:23, 15/11/2016 [^] [^^] [^^^] [ответить]  
  • +/
    Когда центосники его соберут, будет доступен паразиторий на your-favorite-mirror.com/centos/7/sclo/x86_64/rh/devtoolset-<N>/
     

  • 5, Лютый жабист (ok), 08:26, 16/11/2016 [ответить]  
  • +/
    Непонятно зачем это с поддержкой 3 года, если например есть
    https://yum.postgresql.org/ с поддержкой 5 лет.

    И с Монгой аналогично.

     
     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру